<?php
$texte1="texte sans accent";
$taille=strlen($texte1);
// codage ASCII sur un seul octet
echo "texte1=|$texte1|  taille=$taille".PHP_EOL;
for ($i=0 ; $i<=$taille ; $i++)
{
  $car=$texte1[$i];
  $code=ord($car);
  echo "texte1[$i]=$car (code=$code)".PHP_EOL;
}
// codage UTF8 sur plusieurs octets
$texte2="texte avec caractères accentués";
$taille=strlen($texte2);
echo "texte2=|$texte2|  taille=$taille".PHP_EOL;
for ($i=0 ; $i<=$taille ; $i++)
{
  $car=$texte2[$i];
  $code=ord($car);
  echo "texte2[$i]=$car (code=$code)".PHP_EOL;
}
?>